package com.jianshui.income.domain.dto.elephant;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;

@ApiModel( description ="获取确认结果接口入参")
@Data
public class ApplyConfirmResultDTO {


    @ApiModelProperty(value = "批次号")
    @NotEmpty
    @Size(min = 0, max = 32, message = "批次号长度不能超过32个字符")
    private String PCH;

    @ApiModelProperty(value = "购方税号")
    @NotEmpty
    @Size(min = 0, max = 20, message = "购方税号长度不能超过32个字符")
    private String GMFSBH;

    @ApiModelProperty(value = "确认标志")
    @NotEmpty
    @Size(min = 0, max = 1, message = "确认标志长度不能超过32个字符")
    private String QRBZ;

    @ApiModelProperty(value = "统计时间")
    @NotEmpty
    @Size(min = 0, max = 20, message = "统计时间长度不能超过32个字符")
    private String TJSJ;

}
