package com.jianshui.income.mapper;

import java.util.List;
import com.jianshui.income.domain.entity.IncomeInvoiceAuthCompanyStatisticsDetail;
import com.jianshui.income.domain.entity.IncomeInvoiceCompanyStatisticsDetail;

/**
 * 进项-发票统计企业查询Mapper接口
 *
 * @author jianshui
 * @date 2022-09-05
 */
public interface IncomeInvoiceAuthCompanyStatisticsDetailMapper
{
    /**
     * 查询进项-发票统计企业查询
     *
     * @param id 进项-发票统计企业查询主键
     * @return 进项-发票统计企业查询
     */
    public IncomeInvoiceAuthCompanyStatisticsDetail selectIncomeInvoiceAuthCompanyStatisticsDetailById(String id);

    /**
     * 查询进项-发票统计企业查询列表
     *
     * @param incomeInvoiceCompanyStatisticsDetail 进项-发票统计企业查询
     * @return 进项-发票统计企业查询集合
     */
    public List<IncomeInvoiceCompanyStatisticsDetail> selectIncomeInvoiceCompanyStatisticsDetailList(IncomeInvoiceCompanyStatisticsDetail incomeInvoiceCompanyStatisticsDetail);

    /**
     * 查询进项-发票统计企业查询列表
     *
     * @param incomeInvoiceAuthCompanyStatisticsDetail 进项-发票统计企业查询
     * @return 进项-发票统计企业查询集合
     */
    public List<IncomeInvoiceAuthCompanyStatisticsDetail> selectIncomeInvoiceAuthCompanyStatisticsDetailList(IncomeInvoiceAuthCompanyStatisticsDetail incomeInvoiceAuthCompanyStatisticsDetail);

    /**
     * 新增进项-发票统计企业查询
     *
     * @param incomeInvoiceCompanyStatisticsDetail 进项-发票统计企业查询
     * @return 结果
     */
    public int insertIncomeInvoiceCompanyStatisticsDetail(IncomeInvoiceCompanyStatisticsDetail incomeInvoiceCompanyStatisticsDetail);

    /**
     * 新增进项-发票统计企业查询
     *
     * @param incomeInvoiceAuthCompanyStatisticsDetail 进项-发票统计企业查询
     * @return 结果
     */
    public int insertIncomeInvoiceAuthCompanyStatisticsDetail(IncomeInvoiceAuthCompanyStatisticsDetail incomeInvoiceAuthCompanyStatisticsDetail);

    /**
     * 修改进项-发票统计企业查询
     *
     * @param incomeInvoiceAuthCompanyStatisticsDetail 进项-发票统计企业查询
     * @return 结果
     */
    public int updateIncomeInvoiceAuthCompanyStatisticsDetail(IncomeInvoiceAuthCompanyStatisticsDetail incomeInvoiceAuthCompanyStatisticsDetail);

    /**
     * 删除进项-发票统计企业查询
     *
     * @param id 进项-发票统计企业查询主键
     * @return 结果
     */
    public int deleteIncomeInvoiceAuthCompanyStatisticsDetailById(String id);

    /**
     * 批量删除进项-发票统计企业查询
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIncomeInvoiceAuthCompanyStatisticsDetailByIds(String[] ids);

    /**
     * 批量删除进项-发票统计企业查询
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteIncomeInvoiceCompanyStatisticsDetailByIds(String[] ids);
}
