package com.jianshui.income.mapper;

import java.util.List;
import com.jianshui.income.domain.entity.IncomeInvoiceAuthDetail;

/**
 * 进项-发票明细Mapper接口
 *
 * @author jianshui
 * @date 2022-09-05
 */
public interface IncomeInvoiceAuthDetailMapper
{
    /**
     * 查询进项-发票明细
     *
     * @param id 进项-发票明细主键
     * @return 进项-发票明细
     */
    public IncomeInvoiceAuthDetail selectIncomeInvoiceAuthDetailById(String id);

    /**
     * 查询进项-发票明细列表
     *
     * @param incomeInvoiceAuthDetail 进项-发票明细
     * @return 进项-发票明细集合
     */
    public List<IncomeInvoiceAuthDetail> selectIncomeInvoiceAuthDetailList(IncomeInvoiceAuthDetail incomeInvoiceAuthDetail);

    /**
     * 新增进项-发票明细
     *
     * @param incomeInvoiceAuthDetail 进项-发票明细
     * @return 结果
     */
    public int insertIncomeInvoiceAuthDetail(IncomeInvoiceAuthDetail incomeInvoiceAuthDetail);

    /**
     * 修改进项-发票明细
     *
     * @param incomeInvoiceAuthDetail 进项-发票明细
     * @return 结果
     */
    public int updateIncomeInvoiceAuthDetail(IncomeInvoiceAuthDetail incomeInvoiceAuthDetail);

    /**
     * 删除进项-发票明细
     *
     * @param id 进项-发票明细主键
     * @return 结果
     */
    public int deleteIncomeInvoiceAuthDetailById(String id);

    /**
     * 批量删除进项-发票明细
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIncomeInvoiceAuthDetailByIds(String[] ids);
}
