package com.jianshui.income.mapper;

import java.util.List;
import com.jianshui.income.domain.entity.IncomeInvoiceAuthStatistics;

/**
 * 进项-统计结果查询存储Mapper接口
 *
 * @author jianshui
 * @date 2022-09-05
 */
public interface IncomeInvoiceAuthStatisticsMapper
{
    /**
     * 查询进项-统计结果查询存储
     *
     * @param id 进项-统计结果查询存储主键
     * @return 进项-统计结果查询存储
     */
    public IncomeInvoiceAuthStatistics selectIncomeInvoiceAuthStatisticsById(String id);

    /**
     * 查询进项-统计结果查询存储列表
     *
     * @param incomeInvoiceAuthStatistics 进项-统计结果查询存储
     * @return 进项-统计结果查询存储集合
     */
    public List<IncomeInvoiceAuthStatistics> selectIncomeInvoiceAuthStatisticsList(IncomeInvoiceAuthStatistics incomeInvoiceAuthStatistics);

    /**
     * 新增进项-统计结果查询存储
     *
     * @param incomeInvoiceAuthStatistics 进项-统计结果查询存储
     * @return 结果
     */
    public int insertIncomeInvoiceAuthStatistics(IncomeInvoiceAuthStatistics incomeInvoiceAuthStatistics);

    /**
     * 修改进项-统计结果查询存储
     *
     * @param incomeInvoiceAuthStatistics 进项-统计结果查询存储
     * @return 结果
     */
    public int updateIncomeInvoiceAuthStatistics(IncomeInvoiceAuthStatistics incomeInvoiceAuthStatistics);

    /**
     * 删除进项-统计结果查询存储
     *
     * @param id 进项-统计结果查询存储主键
     * @return 结果
     */
    public int deleteIncomeInvoiceAuthStatisticsById(String id);

    /**
     * 批量删除进项-统计结果查询存储
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIncomeInvoiceAuthStatisticsByIds(String[] ids);
}
