package com.jianshui.invoiceall.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * @author xingze
 * @date 2023/8/13
 * 全电登录dto
 */
@Data
@ApiModel("全电登录dto")
public class InoviceAllQdLoginDTO {
    @ApiModelProperty(value = "纳税人识别号")
    @NotEmpty
    private String nsrsbh;
    @ApiModelProperty(value = "登录类型，1账密（短信验证码）登录，2扫码登录")
    @NotEmpty
    private String loginType;
    @ApiModelProperty(value = "纳税人地区，省份全拼，陕西为shaanxi")
    @NotEmpty
    private String nsrdq;
    @ApiModelProperty(value = "流水号，调用回调地址时必填，保持唯一性，建议nsrsbh+gsnsyhm+timestamp")
    private String traceno;
    @ApiModelProperty(value = "回调函数，post请求，回调报文格式：{“code”:”S000”,”data”:{},”msg”:”登录成功”,”success”:true,”trace”:””}" +
            "接收短信、二维码、结果通知，post请求。自主授权必填，托管中间号非必填")
    private String callback;
    @ApiModelProperty(value = "是否全电登录，默认true")
    private String qd;
    @ApiModelProperty(value = "纳税人登录信息")
    private InvoiceAllNsrInfoDTO nsrInfo;
}
