package com.jianshui.invoice.domain.dto.api.aisino.console;

import cn.hutool.core.annotation.Alias;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 总部控制台-开票-入参字表
 *
 * @author dxk
 * @date 2022年06月27日 17:39
 */
@Data
public class AisinoConsoleInvoiceAddDetailSendDTO {

    /**
     * 商品名称
     */
    private String productName;

    /**
     * true 为含税价 false 不含税
     */
    private Boolean includeTax;

    /**
     * 税率
     */
    private Double taxRate;

    /**
     * 金额
     */
    private Double value;

    /**
     * 单价
     */
    private Double price;

    /**
     * 商品单位
     */
    @Alias("unit")
    private String productUnit;

    /**
     * 商品规格
     */
    @Alias("spec")
    private String productSpec;

    /**
     * 编码版本号
     */
    @Alias("bmbbh")
    private String GoodsNoVer;

    /**
     * 收税分类编码
     */
    @NotNull
    @Alias("spbm")
    private String GoodsTaxNo;

    /**
     * 是否享受优惠政策
     */
    @NotNull
    private String TaxPre;

    /**
     * 享受优惠政策内容
     */
    private String TaxPreCon;

    /**
     * 零税率标示
     */
    @Alias("lslbs")
    private String ZeroTax;

    /**
     * 企业自编码
     */
    private String CropGoodsNo;

    /**
     * 扣税额
     */
    @Alias("kce")
    private String TaxDeduction;


}
