package com.jianshui.invoice.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jianshui.invoice.domain.InvoiceBack;

/**
 * 开票接口回调Mapper接口
 * 
 * @author jianshui
 * @date 2023-10-26
 */
public interface InvoiceBackMapper extends BaseMapper<InvoiceBack>
{
    /**
     * 查询开票接口回调
     * 
     * @param id 开票接口回调主键
     * @return 开票接口回调
     */
    public InvoiceBack selectInvoiceBackById(String id);

    /**
     * 查询开票接口回调列表
     * 
     * @param invoiceBack 开票接口回调
     * @return 开票接口回调集合
     */
    public List<InvoiceBack> selectInvoiceBackList(InvoiceBack invoiceBack);

    /**
     * 新增开票接口回调
     * 
     * @param invoiceBack 开票接口回调
     * @return 结果
     */
    public int insertInvoiceBack(InvoiceBack invoiceBack);

    /**
     * 修改开票接口回调
     * 
     * @param invoiceBack 开票接口回调
     * @return 结果
     */
    public int updateInvoiceBack(InvoiceBack invoiceBack);

    /**
     * 删除开票接口回调
     * 
     * @param id 开票接口回调主键
     * @return 结果
     */
    public int deleteInvoiceBackById(String id);

    /**
     * 批量删除开票接口回调
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteInvoiceBackByIds(String[] ids);
}
