package com.jianshui.platform.dto.InvoiceAdd;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 单据录入统一入参
 */
@Data
@ApiModel("单据录入")
public class BillInfoPDTO {

    @ApiModelProperty(value = "发票类型 1 数电普票  2数电专票")
    private String InvoiceType;

    @ApiModelProperty(value = "购方名称")
    private String buyerName;

    @ApiModelProperty(value = "购方税号")
    private String buyerTaxnum;

    @ApiModelProperty(value = "购方地址")
    private String buyerAddress;

    @ApiModelProperty(value = "购方电话")
    private String buyerTelephone;

    @ApiModelProperty(value = "开户行及账号")
    private String buyerBank;

    @ApiModelProperty(value = "购买方开户行及账号")
    private String buyerAccount;

    @ApiModelProperty(value = "购方邮箱")
    private String buyerEmail;

    @ApiModelProperty(value = "购方手机号")
    private String buyerPhone;

    @ApiModelProperty(value = "销方名称")
    private String sellerName;

    @ApiModelProperty(value = "销方税号")
    private String sellerTaxnum;

    @ApiModelProperty(value = "销方地址")
    private String sellerAddress;

    @ApiModelProperty(value = "销方电话")
    private String sellerTelephone;

    @ApiModelProperty(value = "销方开户行及账户")
    private String sellerAccount;

    @ApiModelProperty(value = "备注")
    private String message;

    @ApiModelProperty(value = "价税合计")
    private String jshj;

    @ApiModelProperty(value = "金额（不含税）")
    private BigDecimal taxfreeamt;

    @ApiModelProperty(value = "税额")
    private BigDecimal tax;

    @ApiModelProperty(value = "开票人")
    private String clerk;

    @ApiModelProperty(value = "收款人")
    private String payee;

    @ApiModelProperty(value = "复核人")
    private String checker;

    @ApiModelProperty(value = "明细")
    List<BillInfoDetailPDTO> billInfoDetailPDTOList;


}
