package com.jianshui.platform.dto.invoicered;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Author: kane
 * @Description: 红字信息类
 * @CreateTime: 2023-06-21  17:20
 * @Version: 1.0
 **/
@ApiModel("红字信息")
@Data
public class RedWordDTO {
    @ApiModelProperty("红字信息id")
    private Long id;

    @NotEmpty
    @ApiModelProperty("填开类型")
    private String billInputType;
    @NotNull
    @ApiModelProperty("填开日期")
    private String billInputTime;

    @NotEmpty
    @ApiModelProperty("含税不含税标志 0-含税 1-不含税")
    private String status;
    @ApiModelProperty("经办人")
    private String jbr;
    @NotEmpty
    @ApiModelProperty("销方名称")
    private String sellerName;
    @NotEmpty
    @ApiModelProperty("销方税号")
    private String sellerTaxnum;
    @NotEmpty
    @ApiModelProperty("购方名称")
    private String buyerName;
    @NotEmpty
    @ApiModelProperty("购方税号")
    private String buyerTaxnum;
    @NotEmpty
    @ApiModelProperty("申请类型 0-销方 1-购方已抵扣 2-购方未抵扣")
    private String sqlx;

    @ApiModelProperty("发票代码")
    private String originFpdm;

    @ApiModelProperty("发票号码")
    private String originFphm;

    @NotEmpty
    @ApiModelProperty("发票种类 p电子增值税普通发票 c增值税普通发票 s 增值税专用发票 e 收购发票 f 收购发票 r增值税普通发票")
    private String invoiceType;
    @NotNull
    @ApiModelProperty("开票日期")
    private String originKprq;
    @NotNull
    @ApiModelProperty("合计金额")
    private BigDecimal totalMoney;
    @NotNull
    @ApiModelProperty("合计税额")
    private BigDecimal totalTax;

    @ApiModelProperty("红字信息详情列表")
    private List<RedinfodetailDTO> redinfodetailList;
}
