package com.jianshui.platform.service;

import com.jianshui.common.core.domain.AjaxResult;
import com.jianshui.invoice.domain.dto.FindRedWordDTO;
import com.jianshui.invoice.domain.dto.HXResponse;
import com.jianshui.platform.dto.invoicered.RedWordSelectionDTO;
import com.jianshui.platform.dto.invoicered.RedWordDTO;

/**
 * @Author: kane
 * @Description: 红字信息业务类
 * @CreateTime: 2023-06-21  15:20
 * @Version: 1.0
 **/
public interface RedInformationService {
    /**
     * 功能描述: 红字信息选择
     * @param redWordSelectionDTO
     * @return : com.jianshui.common.core.domain.AjaxResult
     */
    AjaxResult redWordSelection(RedWordSelectionDTO redWordSelectionDTO);

    /**
     * 功能描述: 红字信息提交
     * @param dto
     * @return : com.jianshui.common.core.domain.AjaxResult
     */
    AjaxResult redWordSubmit(RedWordDTO dto);

    /**
     * 功能描述: 红字信息查询
     * @param dto
     * @return : com.jianshui.common.core.domain.AjaxResult
     */
    AjaxResult findRedWord(FindRedWordDTO dto);

    /**
     * 功能描述: 红字信息明细查询
     * @param id
     * @return : com.jianshui.common.core.domain.AjaxResult
     */
    AjaxResult findRedWordDetail(Long id);

    /**
     * 功能描述: 批量删除红字信息
     * @param ids
     * @return : com.jianshui.common.core.domain.AjaxResult
     */
    AjaxResult deleteRedWord(Long[] ids);

    /**
     * 功能描述: 修改红字信息
     * @param dto
     * @return : com.jianshui.common.core.domain.AjaxResult
     */
    AjaxResult updateRedWord(RedWordDTO dto);

    /**
     * 功能描述: 红字信息上传
     * @param id
     * @return : com.jianshui.common.core.domain.AjaxResult
     */
    HXResponse uploadRedWord(Long id);
}
