package com.jianshui.platform.vo.invoicered;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author: kane
 * @Description: 蓝票信息类
 * @CreateTime: 2023-06-21  15:59
 * @Version: 1.0
 **/
@ApiModel("蓝票信息类")
@Data
public class RedWordSelectionVO {

    @ApiModelProperty("发票代码")
    private String fpdm;

    @ApiModelProperty("发票号码")
    private String fphm;

    @ApiModelProperty("购方名称")
    private String buyerName;

    @ApiModelProperty("购方税号")
    private String buyerTaxnum;

    @ApiModelProperty("购方地址")
    private String buyerAddress;

    @ApiModelProperty("购买方银行")
    private String buyerAccount;

    @ApiModelProperty("申请类型 0-销方 1-购方已抵扣 2-购方未抵扣")
    private String sqlx;

    @ApiModelProperty("含税金额")
    private BigDecimal taxamt;

    @ApiModelProperty("税额")
    private BigDecimal tax;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("开票日期")
    private Date kprq;

    @ApiModelProperty("开票人")
    private String clerk;
    @ApiModelProperty("作废类型")
    private String deprecateType;
    @ApiModelProperty("明细行数")
    private Integer detailCount;

}
