package com.jianshui.system.mapper;

import java.util.List;
import com.jianshui.system.domain.InvoiceAllLoginResult;
import org.apache.ibatis.annotations.Param;

/**
 * 全电登录结果信息Mapper接口
 * 
 * @author jianshui
 * @date 2023-08-14
 */
public interface InvoiceAllLoginResultMapper 
{
    /**
     * 查询全电登录结果信息
     * 
     * @param id 全电登录结果信息主键
     * @return 全电登录结果信息
     */
    public InvoiceAllLoginResult selectInvoiceAllLoginResultById(Long id);

    /**
     * 查询全电登录结果信息列表
     * 
     * @param invoiceAllLoginResult 全电登录结果信息
     * @return 全电登录结果信息集合
     */
    public List<InvoiceAllLoginResult> selectInvoiceAllLoginResultList(InvoiceAllLoginResult invoiceAllLoginResult);

    /**
     * 新增全电登录结果信息
     * 
     * @param invoiceAllLoginResult 全电登录结果信息
     * @return 结果
     */
    public int insertInvoiceAllLoginResult(InvoiceAllLoginResult invoiceAllLoginResult);

    /**
     * 修改全电登录结果信息
     * 
     * @param invoiceAllLoginResult 全电登录结果信息
     * @return 结果
     */
    public int updateInvoiceAllLoginResult(InvoiceAllLoginResult invoiceAllLoginResult);

    /**
     * 删除全电登录结果信息
     * 
     * @param id 全电登录结果信息主键
     * @return 结果
     */
    public int deleteInvoiceAllLoginResultById(Long id);

    /**
     * 批量删除全电登录结果信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteInvoiceAllLoginResultByIds(Long[] ids);

    /**
     * 功能描述:
     * @param qqlsh
     * @return : com.jianshui.system.domain.InvoiceAllLoginResult
     */
    InvoiceAllLoginResult findByQqlsh(@Param("qqlsh") String qqlsh);
    /**
     * 功能描述: 根据流水号更新数据
     * @param invoiceAllLoginResult
     * @return : int
     */
    int updateInvoiceResult(InvoiceAllLoginResult invoiceAllLoginResult);
}
